<?php 

/**
 * Modelo creado para la tabla opina_news
 * Creado por Said Andres 
 * 19/04/2022
 */
class ModelNews extends CI_Model
{
	//Metodo Para insertar datos en la tabla opina_news
	public function insert_news($data)
	{
		if ($this->db->insert('opina_news',$data)) {
			return true;
		}else{
			return false;
		}
	}


	//Metodo que realiza un update a la tabla opina_news
	//Recibe un array con los datos, un campo, y el dato a actualizar
	public function update_news($data,$field,$where)
	{
		$this->db->where($field,$where);
		if ($this->db->update('opina_news',$data)) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo para eliminar un usuario de la tabla opina_news
	//solo se puede eliminar con el new_id
	public function detele_news($where)
	{
		$this->db->where('new_id',$where);
		if ($this->db->delete('opina_news')) {
			return true;
		}else{
			return false;
		}
	}

	//Metodo que registros de la tabla opina_news
	//si recibe un parametro ejecuta la consulta con filtro
	public function get_unews($where='')
	{
		if ($where == "") {
			$sql = "SELECT * FROM opina_news";
		}else{
			$sql = "SELECT * FROM opina_news WHERE ".$where;
		}
		return $this->db->query($sql);
	}
}

 ?>